javax.swing.plaf

## Class BorderUIResource.TitledBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.TitledBorder
    - - javax.swing.plaf.BorderUIResource.TitledBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.TitledBorderUIResource
    extends TitledBorder
    implements UIResource

### Field Summary

### Fields inherited from class javax.swing.border.TitledBorder

`ABOVE_BOTTOM, ABOVE_TOP, BELOW_BOTTOM, BELOW_TOP, border, BOTTOM, CENTER, DEFAULT_JUSTIFICATION, DEFAULT_POSITION, EDGE_SPACING, LEADING, LEFT, RIGHT, TEXT_INSET_H, TEXT_SPACING, title, titleColor, titleFont, titleJustification, titlePosition, TOP, TRAILING`

### Constructor Summary

Constructors
Constructor and Description
`TitledBorderUIResource(Border border)`
`TitledBorderUIResource(Border border, String title)`
`TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition)`
`TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont)`
`TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)`
`TitledBorderUIResource(String title)`

### Method Summary

### Methods inherited from class javax.swing.border.TitledBorder

`getBaseline, getBaselineResizeBehavior, getBorder, getBorderInsets, getFont, getMinimumSize, getTitle, getTitleColor, getTitleFont, getTitleJustification, getTitlePosition, isBorderOpaque, paintBorder, setBorder, setTitle, setTitleColor, setTitleFont, setTitleJustification, setTitlePosition`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBorderInsets, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitledBorderUIResource

    public TitledBorderUIResource(String title)

#### TitledBorderUIResource

    public TitledBorderUIResource(Border border)

#### TitledBorderUIResource

    public TitledBorderUIResource(Border border,
                                  String title)

#### TitledBorderUIResource

    public TitledBorderUIResource(Border border,
                                  String title,
                                  int titleJustification,
                                  int titlePosition)

#### TitledBorderUIResource

    public TitledBorderUIResource(Border border,
                                  String title,
                                  int titleJustification,
                                  int titlePosition,
                                  Font titleFont)

#### TitledBorderUIResource

    @ConstructorProperties(value={"border","title","titleJustification","titlePosition","titleFont","titleColor"})
    public TitledBorderUIResource(Border border,
                                                                                                                                                 String title,
                                                                                                                                                 int titleJustification,
                                                                                                                                                 int titlePosition,
                                                                                                                                                 Font titleFont,
                                                                                                                                                 Color titleColor)